
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>基于hints是oracle 优化方案 / iVAN</title>

    <meta name="description" content="基于hints是oracle 优化方案 hints是oracle提供的一种机制,用来告诉优化器按照我们的告诉它的方式生成执行计划.我们可以用hints来实现: 1. 使用的优化器的类型 2.基于代价的优化器的优化目标,是all_rows还是first_rows. 3. 表的访问路径,是全表扫描,还是索引扫描,还是直接利用rowid. 4. 表之间的连接类型 5. 表之间的连接顺序 6. 语句的并行程度 除了&quot;RULE&quot;提示外,一旦使用的别的提示,语句就会自动的改为使用CBO优化器,此时如果你的数据字典中没有统计数据 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">基于hints是oracle 优化方案</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>hints是oracle提供的一种机制，用来告诉优化器按照我们的告诉它的方式生成执行计划。我们可以用hints来实现：</p>
<p>1. 使用的优化器的类型</p>
<p>2.基于代价的优化器的优化目标，是all_rows还是first_rows。</p>
<p>3. 表的访问路径，是全表扫描，还是索引扫描，还是直接利用rowid。</p>
<p>4. 表之间的连接类型</p>
<p>5. 表之间的连接顺序</p>
<p>6. 语句的并行程度</p>
<p>除了”RULE”提示外，一旦使用的别的提示，语句就会自动的改为使用CBO优化器，此时如果你的数据字典中没有统计数据，就会使用缺省的统计数据。所以建议大家如果使用CBO或HINTS提示，则最好对表和索引进行定期的分析。</p>
<p>如何使用hints:</p>
<p>Hints只应用在它们所在sql语句块(statement block，由select、update、delete关键字标识)上，对其它SQL语句或语句的其它部分没有影响。如：对于使用union操作的2个sql语句，如果只在一个sql语句上有hints，则该hints不会影响另一个sql语句。</p>
<p>我们可以使用注释(comment)来为一个语句添加hints，一个语句块只能有一个注释，而且注释只能放在SELECT, UPDATE, or DELETE关键字的后面</p>
<p>使用hints的语法：</p>
<p>{DELETE|INSERT|SELECT|UPDATE} /*+ hint [text] [hint[text]]... */ or {DELETE|INSERT|SELECT|UPDATE} --+ hint [text] [hint[text]]...注解：</p>
<p>1.DELETE、INSERT、SELECT和UPDATE是标识一个语句块开始的关键字，包含提示的注释只能出现在这些关键字的后面，否则提示无效。</p>
<p>2.“+”号表示该注释是一个hints，该加号必须立即跟在”/*”的后面，中间不能有空格。</p>
<p>3.hint是下面介绍的具体提示之一，如果包含多个提示，则每个提示之间需要用一个或多个空格隔开。</p>
<p>4.text 是其它说明hint的注释性文本</p>
<p>如果你没有正确的指定hints，Oracle将忽略该hints，并且不会给出任何错误。</p>
<p>使用这一hint，你可以忽略一些关于如详细的关系依赖图分析等电子表格的编译时间优化规则。其他的一些优化，如创建过滤以有选择性的定位电子表格访问结构并限制修订规则等，得到了继续使用。</p>
<p>   由于在规则数非常大的情况下，电子表格分析会很长。这一提示可以帮助我们减少由此产生的数以百小时计的编译时间。</p>
<p>例： <br />
    SELECT /*+ SPREAD_MIN_ANALYSIS */ ...</p>
<p>2、spread_no_analysis</p>
<p>   通过这一hint，可以使无电子表格分析成为可能。同样，使用这一hint可以忽略修订规则和过滤产生。如果存在一电子表格分析，编译时间可以被减少到最低程度。</p>
<p>例： <br />
    SELECT /*+ SPREAD_NO_ANALYSIS */ ...</p>
<p>3、use_nl_with_index</p>
<p>   这项hint使CBO通过嵌套循环把特定的表格加入到另一原始行。只有在以下情况中，它才使用特定表格作为内部表格：如果没有指定标签，CBO必须可以使用一些标签，且这些标签至少有一个作为索引键值加入判断；反之，CBO必须能够使用至少有一个作为索引键值加入判断的标签。</p>
<p>例： <br />
  SELECT /*+ USE_NL_WITH_INDEX (polrecpolrind) */ ...</p>
<p>4、CARDINALITY</p>
<p>  此hint定义了对由查询或查询部分返回的基数的评价。注意如果没有定义表格，基数是由整个查询所返回的总行数。</p>
<p>例： <br />
  SELECT /*+ CARDINALITY ( [tablespec] card ) */</p>
<p>5、SELECTIVITY</p>
<p>  此hint定义了对查询或查询部分选择性的评价。如果只定义了一个表格，选择性是在所定义表格里满足所有单一表格判断的行部分。如果定义了一系列表格，选择性是指在合并以任何顺序满足所有可用判断的全部表格后，所得结果中的行部分。</p>
<p>例： <br />
   SELECT /*+ SELECTIVITY ( [tablespec] sel ) */</p>
<p>然而，注意如果hints CARDINALITY 和 SELECTIVITY都定义在同样的一批表格，二者都会被忽略。</p>
<p>6、no_use_nl</p>
<p>  Hint no_use_nl使CBO执行循环嵌套，通过把指定表格作为内部表格，把每个指定表格连接到另一原始行。通过这一hint，只有hash join和sort-merge joins会为指定表格所考虑。</p>
<p>例： <br />
   SELECT /*+ NO_USE_NL ( employees ) */ ...</p>
<p>7、no_use_merge</p>
<p>  此hint使CBO通过把指定表格作为内部表格的方式，拒绝sort-merge把每个指定表格加入到另一原始行。</p>
<p>例： <br />
  SELECT /*+ NO_USE_MERGE ( employees dept ) */ ...</p>
<p>8、no_use_hash</p>
<p>  此hint使CBO通过把指定表格作为内部表格的方式，拒绝hash joins把每个指定表格加入到另一原始行。</p>
<p>例： <br />
  SELECT /*+ NO_USE_HASH ( employees dept ) */ ...</p>
<p>9、no_index_ffs</p>
<p>  此hint使CBO拒绝对指定表格的指定标签进行fast full-index scan。 <br />
Syntax: /*+ NO_INDEX_FFS ( tablespecindexspec ) */</p>
<p>在SQL优化过程中常见HINT的用法(前10个比较常用, 前3个最常用)：</p>
<p>1. /*+ INDEX */ 和 /*+ INDEX(TABLE INDEX1, index2) */ 和 /*+ INDEX(tab1.col1 tab2.col2) */ 和 /*+ NO_INDEX */ 和 /*+ NO_INDEX(TABLE INDEX1, index2) */</p>
<p>表明对表选择索引的扫描方法. 第一种不指定索引名是让oracle对表中可用索引比较并选择某个最佳索引; 第二种是指定索引名且可指定多个索引; 第三种是10g开始有的, 指定列名, 且表名可不用别名; 第四种即全表扫描; 第五种表示禁用某个索引, 特别适合于准备删除某个索引前的评估操作. 如果同时使用了INDEX和NO_INDEX则两个提示都会被忽略掉. <br />
例如:SELECT /*+ INDEX(BSEMPMS SEX_INDEX) USE SEX_INDEX BECAUSE THERE ARE FEWMALE BSEMPMS */ FROM BSEMPMS WHERE SEX='M';</p>
<p>2. /*+ ORDERED */ <br />
FROM子句中默认最后一个表是驱动表,ORDERED将from子句中第一个表作为驱动表. 特别适合于多表连接非常慢时尝试. <br />
例如:SELECT /*+ ORDERED */ A.COL1,B.COL2,C.COL3 FROM TABLE1 A,TABLE2 B,TABLE3 C WHERE A.COL1=B.COL1 AND B.COL1=C.COL1;</p>
<p>3. /*+ PARALLEL(table1,DEGREE) */ 和 /*+ NO_PARALLEL(table1) */ <br />
该提示会将需要执行全表扫描的查询分成多个部分（并行度）执行, 然后在不同的操作系统进程中处理每个部分. 该提示还可用于DML语句. 如果SQL里还有排序操作, 进程数会翻倍,此外还有一个一个负责组合这些部分的进程,如下面的例子会产生9个进程. 如果在提示中没有指定DEGREE, 那么就会使用创建表时的默认值. 该提示在默认情况下会使用APPEND提示. NO_PARALLEL是禁止并行操作,否则语句会使用由于定义了并行对象而产生的并行处理. <br />
例如:select /*+ PARALLEL(tab_test,4) */ col1, col2 from tab_test order by col2;</p>
<p>4. /*+ FIRST_ROWS */ 和 /*+ FIRST_ROWS(n) */ <br />
表示用最快速度获得第1/n行, 获得最佳响应时间, 使资源消耗最小化. <br />
在update和delete语句里会被忽略, 使用分组语句如group by/distinct/intersect/minus/union时也会被忽略. <br />
例如:SELECT /*+ FIRST_ROWS */ EMP_NO,EMP_NAM,DAT_IN FROM BSEMPMS WHERE EMP_NO='SCOTT';</p>
<p>5. /*+ RULE */ <br />
表明对语句块选择基于规则的优化方法. <br />
例如:SELECT /*+ RULE */ EMP_NO,EMP_NAM,DAT_IN FROM BSEMPMS WHERE EMP_NO='SCOTT';</p>
<p>6. /*+ FULL(TABLE) */ <br />
表明对表选择全局扫描的方法. <br />
例如:SELECT /*+ FULL(A) */ EMP_NO,EMP_NAM FROM BSEMPMS A WHERE EMP_NO='SCOTT';</p>
<p>7. /*+ LEADING(TABLE) */ <br />
类似于ORDERED提示, 将指定的表作为连接次序中的驱动表.</p>
<p>8. /*+ USE_NL(TABLE1,TABLE2) */ <br />
将指定表与嵌套的连接的行源进行连接,以最快速度返回第一行再连接,与USE_MERGE刚好相反. <br />
例如:SELECT /*+ ORDERED USE_NL(BSEMPMS) */ BSDPTMS.DPT_NO,BSEMPMS.EMP_NO,BSEMPMS.EMP_NAM FROM BSEMPMS,BSDPTMS WHERE BSEMPMS.DPT_NO=BSDPTMS.DPT_NO;</p>
<p>9. /*+ APPEND */ 和 /*+ NOAPPEND */ <br />
直接插入到表的最后,该提示不会检查当前是否有插入操作所需的块空间而是直接添加到新块中, 所以可以提高速度. 当然也会浪费些空间, 因为它不会使用那些做了delete操作的块空间. NOAPPEND提示则相反,所以会取消PARALLEL提示的默认APPEND提示. <br />
例如:insert /*+ append */ into test1 select * from test4; <br />
insert /*+ parallel(test1) noappend */ into test1 select * from test4;</p>
<p>10. /*+ USE_HASH(TABLE1,table2) */ <br />
将指定的表与其它行源通过哈希连接方式连接起来.为较大的结果集提供最佳响应时间. 类似于在连接表的结果中遍历每个表上每个结果的嵌套循环, 指定的hash表将被放入内存, 所以需要有足够的内存（hash_area_size或pga_aggregate_target）才能保证语句正确执行, 否则将在磁盘里进行. <br />
例如:SELECT /*+ USE_HASH(BSEMPMS,BSDPTMS) */ * FROM BSEMPMS,BSDPTMS WHERE BSEMPMS.DPT_NO=BSDPTMS.DPT_NO;</p>
<p>---------------------------------------------------------------------</p>
<p>11. /*+ USE_MERGE(TABLE) */ <br />
将指定的表与其它行源通过合并排序连接方式连接起来.特别适合于那种在多个表大量行上进行集合操作的查询, 它会将指定表检索到的的所有行排序后再被合并, 与USE_NL刚好相反. <br />
例如:SELECT /*+ USE_MERGE(BSEMPMS,BSDPTMS) */ * FROM BSEMPMS,BSDPTMS WHERE BSEMPMS.DPT_NO=BSDPTMS.DPT_NO;</p>
<p>12. /*+ ALL_ROWS */ <br />
表明对语句块选择基于开销的优化方法,并获得最佳吞吐量,使资源消耗最小化. 可能会限制某些索引的使用. <br />
例如:SELECT /*+ ALL+_ROWS */ EMP_NO,EMP_NAM,DAT_IN FROM BSEMPMS WHERE EMP_NO='SCOTT';</p>
<p>13. /*+ CLUSTER(TABLE) */ <br />
提示明确表明对指定表选择簇扫描的访问方法. 如果经常访问连接表但很少修改它, 那就使用集群提示. <br />
例如:SELECT /*+ CLUSTER */ BSEMPMS.EMP_NO,DPT_NO FROM BSEMPMS,BSDPTMS WHERE DPT_NO='TEC304' AND BSEMPMS.DPT_NO=BSDPTMS.DPT_NO;</p>
<p>14. /*+ INDEX_ASC(TABLE INDEX1, INDEX2) */ <br />
表明对表选择索引升序的扫描方法. 从8i开始, 这个提示和INDEX提示功能一样, 因为默认oracle就是按照升序扫描索引的, 除非未来oracle还推出降序扫描索引. <br />
例如:SELECT /*+ INDEX_ASC(BSEMPMS PK_BSEMPMS) */ FROM BSEMPMS WHERE DPT_NO='SCOTT';</p>
<p>15. /*+ INDEX_COMBINE(TABLE INDEX1, INDEX2) */ <br />
指定多个位图索引, 对于B树索引则使用INDEX这个提示,如果INDEX_COMBINE中没有提供作为参数的索引,将选择出位图索引的布尔组合方式. <br />
例如:SELECT /*+ INDEX_COMBINE(BSEMPMS SAL_BMI HIREDATE_BMI) */ * FROM BSEMPMS WHERE SAL&lt;5000000 AND HIREDATE&lt;SYSDATE;</p>
<p>16. /*+ INDEX_JOIN(TABLE INDEX1, INDEX2) */ <br />
合并索引, 所有数据都已经包含在这两个索引里, 不会再去访问表, 比使用索引并通过rowid去扫描表要快5倍. <br />
例如:SELECT /*+ INDEX_JOIN(BSEMPMS SAL_HMI HIREDATE_BMI) */ SAL,HIREDATE FROM BSEMPMS WHERE SAL&lt;60000;</p>
<p>17. /*+ INDEX_DESC(TABLE INDEX1, INDEX2) */ <br />
表明对表选择索引降序的扫描方法. <br />
例如:SELECT /*+ INDEX_DESC(BSEMPMS PK_BSEMPMS) */ FROM BSEMPMS WHERE DPT_NO='SCOTT';</p>
<p>18. /*+ INDEX_FFS(TABLE INDEX_NAME) */ <br />
对指定的表执行快速全索引扫描,而不是全表扫描的办法.要求要检索的列都在索引里, 如果表有很多列时特别适用该提示. <br />
例如:SELECT /*+ INDEX_FFS(BSEMPMS IN_EMPNAM) */ * FROM BSEMPMS WHERE DPT_NO='TEC305';</p>
<p>19. /*+ NO_EXPAND */ <br />
对于WHERE后面的OR 或者IN-LIST的查询语句,NO_EXPAND将阻止其基于优化器对其进行扩展, 缩短解析时间. <br />
例如:SELECT /*+ NO_EXPAND */ * FROM BSEMPMS WHERE DPT_NO='TDC506' AND SEX='M';</p>
<p>20. /*+ DRIVING_SITE(TABLE) */ <br />
强制与ORACLE所选择的位置不同的表进行查询执行.特别适用于通过dblink连接的远程表. <br />
例如:SELECT /*+ DRIVING_SITE(DEPT) */ * FROM BSEMPMS,DEPT@BSDPTMS DEPT WHERE BSEMPMS.DPT_NO=DEPT.DPT_NO;</p>
<p>21. /*+ CACHE(TABLE) */ 和 /*+ NOCACHE(TABLE) */ <br />
当进行全表扫描时,CACHE提示能够将表全部缓存到内存中,这样访问同一个表的用户可直接在内存中查找数据. 比较适合数据量小但常被访问的表, 也可以建表时指定cache选项这样在第一次访问时就可以对其缓存. NOCACHE则表示对已经指定了CACHE选项的表不进行缓存. <br />
例如:SELECT /*+ FULL(BSEMPMS) CAHE(BSEMPMS) */ EMP_NAM FROM BSEMPMS;</p>
<p>22. /*+ PUSH_SUBQ */ <br />
当SQL里用到了子查询且返回相对少的行时, 该提示可以尽可能早对子查询进行评估从而改善性能, 不适用于合并连接或带远程表的连接. <br />
例如:select /*+ PUSH_SUBQ */ emp.empno, emp.ename, itemno from emp, orders where emp.empno = orders.empno and emp.deptno = (select deptno from dept where loc='XXX'); <br />
远程连接其他数据库，注意判断数据库是否启动，或者是否有需要的表，否则会出错</p>
<p>23. /*+ INDEX_SS(TABLE INDEX1,INDEX2) */ <br />
指示对特定表的索引使用跳跃扫描, 即当组合索引的第一列不在where子句中时, 让其使用该索引</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-08 05:53:18</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%b4%a2%e5%bc%95/" title="索引">索引</a>, <a href="https://www.iamivan.net/tag/%e6%a0%87%e7%ad%be/" title="标签">标签</a>, <a href="https://www.iamivan.net/tag/%e4%bc%98%e5%8c%96/" title="优化">优化</a>, <a href="https://www.iamivan.net/tag/%e8%bf%9b%e7%a8%8b/" title="进程">进程</a>, <a href="https://www.iamivan.net/tag/%e6%97%b6%e9%97%b4/" title="时间">时间</a>, <a href="https://www.iamivan.net/tag/%e6%b3%a8%e9%87%8a/" title="注释">注释</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>基于hints是oracle 优化方案的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDw9D0p.html" rel="bookmark">甲骨文扩充面向企业云基础架构Oracle优化方案</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				北京,2012年6月26日--甲骨文http://www.aliyun.com/zixun/aggregation/17539.html&quot;&gt;公司宣布,为面向企业云基础架构的Oracle优化解决方案(Oracle Optimized Solution for Enterprise Cloud Infrastructure)推出新的SPARC/Oracle Solaris选件,以扩展甲骨文的云产品线. 目前有很多客户想对基于SPARC的现有基础架构进行升级.合并和虚拟化,而面向企业云基础架构的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMqA6kM.html" rel="bookmark">ORACLE优化器RBO与CBO介绍总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				RBO和CBO的基本概念   Oracle数据库中的优化器又叫查询优化器(Query Optimizer).它是SQL分析和执行的优化工具,它负责生成.制定SQL的执行计划.Oracle的优化器有两种,基于规则的优化器(RBO)与基于代价的优化器(CBO)          RBO: Rule-Based Optimization 基于规则的优化器          CBO: Cost-Based Optimization 基于代价的优化器 RBO 自ORACLE 6以来被采用,一直沿用至ORA			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mrq7xvb.html" rel="bookmark">【云和恩墨大讲堂】从执行计划洞察ORACLE优化器的&OpenCurlyDoubleQuote;小聪明&rdquo;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作者简介黄浩  惠普 十年一剑,十年磨砺.3年通信行业,写就近3万条SQL:5年制造行业,遨游在ETL的浪潮:2年性能优化,厚积薄发自成一家 主题介绍: Oracle执行计划的另类解读:调皮的执行计划 | 诚实的执行计划 | 朴实的执行计划 说到执行计划,oracle的拥趸们自然而然会兴奋起来.在ORACLE的世界里,执行计划有着其特殊的地位,如果我们将SQL性能优化看成一个生物,那某种程度上,执行计划就是DNA.在某搜索网站中,&quot;oracle 执行计划&quot;关键字的搜索结果与&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pX9E34z.html" rel="bookmark">Oracle优化器：星型转换（Star Query Transformation ）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 Oracle优化器:星型转换(Star Query Transformation )  Star query是一个事实表(fact table)和一些维度表(dimension)的join.每个维度表都跟事实表通过主外键join,且每个维度表之间不join. 星型模式设计的好处: 1) 提供了直接.直观的业务实体与终端用户schema设计的映射. 2) 对典型的star query提供了高性能的优化. 3) 通过大量的商业智能工具的广泛支持,可能会期望甚至要求数据仓库架构包含维度表. 星型模式			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn0g4Ab.html" rel="bookmark">oracle优化常用经典参考</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2-调优步骤:   1 设计调优  2 应用调优 程序员代码 3 内存 4 连接 5 操作系统 2-已有产品的调优  1 定位问题  2 查看操作系统和oracle统计  3 考虑通用系统错误  4 假定问题  5 通过参数修改去调优   3调优方法  1 检查日志和trace  file  2 检查参数文件 3 检查 内存 cpu 4 那些sql占用cpu和io 如果相应时间慢;  1分析工作实现和相应时间 2 检查那部分时间长 3 细化问题     3 查看alert  log  1 查看位			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qba03Pz.html" rel="bookmark">人才网站优化方案之收录和关键词分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				人才网站优化已经成为网络营销经营策略的必然要求.如果在人才网站建设中没有体现网站优化和搜索引擎优化的基本思想,在网络营销水平普遍提高的网络营销环境中是很难获得竞争优势的. 人才网站优化可以从狭义和广义两个方面来说明,狭义的人才网站优化,即搜索引擎优化,也就是让人才网站设计适合搜索引擎检索,满足搜索引擎排名的指标,从而在搜索引擎检索中获得排名靠前,增强搜索引擎营销的效果.广义的人才网站优化所考虑的因素不仅仅是搜索引擎,也包括充分满足用户的需求特征.清晰的网站导航.完善的在线帮助等,在此基础上使得网			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMgevmz.html" rel="bookmark">Oracle优化的五个方面</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				oracle|优化 在过去的十年中, Oracle 已经成为世界上最专业的数据库之一.对于 IT 专家来说,就是要确保利用 Oracle 的强大特性来提高他们公司的生产力.最有效的方法之一是通过 Oracle 调优.它有大量的调整参数和技术来改进你的 Oracle 数据库的性能.        Oracle 调优是一个复杂的主题.关于调优可以写整整一本书,不过,为了改善 Oracle 数据库的性能,有一些基本的概念是每个 Oracle DBA 都应该遵从的.         在这篇简介中,我们将			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMqdGGb.html" rel="bookmark">ORACLE优化器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				oracle|优化 ORACLE的优化器共有3种: a. RULE (基于规则) b. COST (基于成本) c. CHOOSE (选择性) 设置缺省的优化器,可以通过对init.ora文件中OPTIMIZER_MODE参数的各种声明,如RULE,COST,CHOOSE,ALL_ROWS,FIRST_ROWS . 你当然也在SQL句级或是会话(session)级对其进行覆盖. 为了使用基于成本的优化器(CBO, Cost-Based Optimizer) , 你必须经常运行analyze 命令			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp5aA6p.html" rel="bookmark">个人经验总结seo优化方案的七个关键点</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一:网站的定位 网站的定位主要指我们要根据我们做的行业来做好前期的规划,例如:我们是应该选择怎样竞争度的关键词?选择的盈利模式是怎样的? 关键词的挖掘 指我们在网站建设前期挖掘大量的关键词,然后进行针对性的筛选,从筛选中的来确定好早期的目标关键词和长尾关键词,我们在选择目标关键词和长尾关键词的时候一定要考虑两个重要因素. (1).关键词的转化率 (2).关键词的流量我们要选择的关键词一定是要这两个因素都能够达到综合要求才行. 我们根据这2个要求来选择我们的要做的目标关键词和长尾关键词. 盈利模式			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvwVp0.html" rel="bookmark" class="title">第1章 开发环境安装和配置（一）：概述</a>
					<div>
						原文 第1章 开发环境安装和配置(一):概述 目前Android在全世界市场上大约有75%的占有率,国人Android手机的持有比例更甚,甚至达到90%以上[网上找的介绍,不必在意]. 用C#开发手机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmjL5z.html" rel="bookmark" class="title">ASP 3&period;0高级编程（十三）</a>
					<div>
						编程|高级 1.3 ASP Server对象正像在前面看到的那样,通过服务器端包含的经ISAPI访问Web服务器的页面,用传统动态页面指令和命令可以做相当多的事情.但同时也有一些明显的限制.例如,可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybj99Vz.html" rel="bookmark" class="title">SQLSERVER备份并压缩备份后的文件</a>
					<div>
						server|sqlserver|备份|压缩 SQLSERVER2000 备份 例1:(备份) 1  use master2  declare @path='c:\aa\zy.bak'3  backu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zO885b.html" rel="bookmark" class="title">移动设备交互设计&colon;Android应用程序不需要手动退出</a>
					<div>
						文章描述:Android应用程序需不需要手动退出? 不止一次,也不止一个人问过这个问题.我都回答了:不需要.但是,还是要记录下来. 我们不妨从了解这个系统对于应用程序管理的一些内部机制开始说明原因.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNyv4b.html" rel="bookmark" class="title">互联网上九大&OpenCurlyDoubleQuote;客&rdquo;</a>
					<div>
						互联网上九大&quot;客&quot; 1.博客:最初博客大多被用来发布新闻或互联网知识,类似于个人媒体频道.但如今,不管是国内还是国外,心情记录正成为博客最流行的内容趋势.博客正在网民中普及. 2. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1WAqz.html" rel="bookmark" class="title">Exchange Server 2010学习（十）典型Exchange Server高可用性规划</a>
					<div>
						在前面的系列文章中,我们主要介绍的是小规模企业如何实现Exchange Server2010的安装.设置以及基本管理工作.从今天开始,我们将陆续讨论在中型企业环境中如何实现Exchange Serve ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY20j5p.html" rel="bookmark" class="title">C&num;开发WPF&sol;Silverlight动画及游戏系列教程&lpar;Game Tutorial&rpar;：&lpar;三十六&rpar;</a>
					<div>
						C#开发WPF/Silverlight动画及游戏系列教程(Game Tutorial):(三十六)地图自定义切片与导出 做为提升游戏性能的一个重要环节就是地图的优化,作为基于Web的游戏来说,可以通过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4w5eYp.html" rel="bookmark" class="title">ASP&period;NET MVC框架（第一部分）</a>
					<div>
						一个简单的电子商务店面应用 我将使用一个简单的电子商务商店应用来示范ASP.NET MVC框架的工作原理.在今天的贴子里,我将实现一个产品列单,以及相关的浏览应 用场景. 具体来说,我们将建造一个网上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdDXYM.html" rel="bookmark" class="title">如何部署上网行为管理软件实现上网行为管理</a>
					<div>
						天易成网管软件有四种部署模式,分别适用于不同的网络环境,本文则详细介绍了这四种部署模式的优缺点,供用户参考. 系统要求:XP / 2003 / Vista/2008/ Win7 (32/64位操作系统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwL0Rmb.html" rel="bookmark" class="title">显示器刷新频率设置</a>
					<div>
						  显示器的刷新频率就是场频,以Hz为单位.刷新的频率越高,画面显示的就越稳定,闪烁感越小. 在一般的情况,显示器的刷新频率在75Hz以上,用户的眼睛就基本感觉不到闪烁,85Hz以上就完全没有闪烁感. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NNqqM.html" rel="bookmark" class="title">c&num;代码实现excel、PPT、word禁止打印、编辑功能</a>
					<div>
						问题描述 c#代码实现excel.PPT.word禁止打印.编辑功能 解决方案 解决方案二:禁止打印不知道,禁止编辑可以把文档设置为只读模式.可以下个,.word,.//LoadDocumentDoc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3PEkz.html" rel="bookmark" class="title">ado-请问一下如果学习mongodb等NOSQL数据库还需要学习LINQ或者ADO吗？？？？</a>
					<div>
						问题描述 请问一下如果学习mongodb等NOSQL数据库还需要学习LINQ或者ADO吗???? 会C#最近想学习数据库.不过SQL太麻烦了.如果学习NOSQL的数据库还需要学习LINQ或者ADO吗? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxY6QGp.html" rel="bookmark" class="title">debug-eclipse调试时光标并不指向当前执行的那行，开发半年了，第一次碰到这个问题！</a>
					<div>
						问题描述 eclipse调试时光标并不指向当前执行的那行,开发半年了,第一次碰到这个问题! eclipse调试时光标并不指向当前执行的那行,比如那绿色光标会指向注释行,有时候会不按逻辑跳转到莫名其妙的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAVj6p.html" rel="bookmark" class="title">淘宝发布&OpenCurlyDoubleQuote;关于集市店铺名含敏感词的整改通知&rdquo;</a>
					<div>
						淘宝日前http://www.aliyun.com/zixun/aggregation/549.html&quot;&gt;发布&quot;关于集市店铺名含敏感词的整改通知&quot;,个人认证店铺名 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKyXqp.html" rel="bookmark" class="title">7个影响数据分析的数据建模错误</a>
					<div>
						如果你有一个目标,想获得所有这些数据的可操作的见解,并一直在收集.那么,你如何确定模型的数据,以便实际上可以获得这些见解,并回答你的业务问题?你的计划.当规划阶段不充分或不完全,其结果是可怕的.那么分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqg92p.html" rel="bookmark" class="title">什么样的企业更需要管理咨询？</a>
					<div>
						问题描述 什么情况下寻求帮助 第一.公司高层之间存在层级矛盾,且矛盾较为突出时.尤其在股份制公司,多头股东共同参与发表意见中,存在不同的意见,高层之间容易出现互相不信任,互相猜疑的现象,在这种情况下, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xrRAb.html" rel="bookmark" class="title">这个程序 我反编译了。还有一些乱码，不知道是什么混淆</a>
					<div>
						问题描述 解决方案 解决方案二:哪有乱码解决方案三:不管什么混淆,函数名是甭想再找回来了.不过看上去这代码还是可以读的解决方案四: 解决方案五:看着可以呀,你啥地方看到乱码了?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwXNWM.html" rel="bookmark" class="title">have a try</a>
					<div>
						问题描述 inta=9; 解决方案 解决方案二:嘛意思?解决方案三:JF楼主结贴吧解决方案四:noproblem解决方案五:好的.解决方案六:Tryit!					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6grQM.html" rel="bookmark" class="title">PHP中使用数组实现堆栈数据结构的代码&lowbar;php技巧</a>
					<div>
						在堆栈中,最后压入的数据(进栈),将会被最先弹出(出栈). 即在数据存储时采用&quot;先进后出&quot;的数据结构. PHP中,将数组当做一个栈,主要是使用array_push()和array_ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlm1Gnp.html" rel="bookmark" class="title">SqlConnection 的连接池机制解析</a>
					<div>
						物理连接建立时,需要做和服务器握手,解析连接字符串,授权,约束的检查等等操作,而物理连接建立后,这些操作就不会去做了.这些操作是需要一定的时间的.所以很多人喜欢用一个静态对象存储 SqlConnect ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8NmYob.html" rel="bookmark" class="title">开源的javascript项目Kissy介绍&lowbar;javascript技巧</a>
					<div>
						kissy简介 kISSY是什么? KISSY是一个开源的javascript项目,其主体是一个前端UI开发框架,即KissyUI.本文所述的kissy是仅指其内核部分的kissy.js中的语言与框架 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmaDap.html" rel="bookmark" class="title">请教大虾们，google地图两点之间有连线，移动点的时候，线如何随着改变？在线等&hellip;&hellip;</a>
					<div>
						问题描述 如题,最近在google地图上呈现一些数据和数据之前的连线关系,即根据两点之间的关系和坐标,在地图上出现连线,现在需要改变一个点的坐标,想使线也跟着点的移动而改变,请教大侠们,如何做到这点? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0Bl9p.html" rel="bookmark" class="title">AJAX调错&comma;为什么在&dollar;&period;ajax&lpar;&lbrace;&rcub;&rpar;&semi;后面写alert&lpar;&rpar;&semi;才能刷新成功&quest;</a>
					<div>
						问题描述 &lt;!DOCTYPEhtml&gt;&lt;htmlxmlns=&quot;http://www.w3.org/1999/xhtml&quot;&gt;&lt;head&gt;&lt;m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1DEnab.html" rel="bookmark" class="title">PCurve - Curve on Surface</a>
					<div>
						PCurve - Curve on Surface eryar@163.com Abstract. 本文通过给出曲面上曲线PCurve的定义来对OpenCascade中的Curve On Surfac ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZmEV4p.html" rel="bookmark" class="title">深入ASP&period;NET 2&period;0的提供者模型&lpar;2&rpar;</a>
					<div>
						WebForums.NET提供者模型-一个早期的原型 相对于微软建议使用的提供者模型,Andy的提供者模型含有一些不足.一方面,WebForums.NET中提供了单个抽象基类,所有的API定义都聚集在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYdNEVb.html" rel="bookmark" class="title">MaggieQ化身性感女特工比基尼热辣魅惑</a>
					<div>
						近日,Maggie Q的美剧新作&lt;尼基塔&gt;最新剧照 曝光.剧照中Maggie Q变身性感女特工,比基尼着装热辣无比. MaggieQ化身性感女特工 比基尼热辣魅惑[page] 近日,Mag ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2YJlrz.html" rel="bookmark" class="title">广州警方举办打击电话诈骗犯罪咨询活动</a>
					<div>
						本报今天消息 记者尹安学,通讯员曾祥龙.孜亚依丁报道:&quot;接到来历不明的电话,千万别慌张!&quot;今天上午10时许,在广州英雄广场举行的&quot;打击犯罪.共创平安---警民携手,打击防 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mqgey2z.html" rel="bookmark" class="title">网吧口角砍三刀</a>
					<div>
						小徐的父亲拿出儿子刚做完缝合手术时拍下的照片 Nhttp://www.aliyun.com/zixun/aggregation/79250.html&quot;&gt;本报记者 李伟强 马俊杰文/图  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA64KQp.html" rel="bookmark" class="title">《应用程序性能测试的艺术（第2版）》目录&mdash;导读</a>
					<div>
						作者简介应用程序性能测试的艺术(第2版)Ian Molyneaux,EMEA地区的性能领域专家,是Intechnica公司总裁.Intechnica公司是一家总部位于英国曼切斯特的软件咨询公司.他精通 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6YPEXb.html" rel="bookmark" class="title">百度程序员示爱&OpenCurlyDoubleQuote;度娘&rdquo;刘冬被拒 蹲地痛哭被拉走</a>
					<div>
						百度程序员示爱度娘遭拒大家还记得曾在百度年会上一秀走红的&quot;度娘&quot;吧,昨天,前&quot;度娘&quot;刘冬现身深圳阿里巴巴的1688线下活动现场,度娘这是要变&quot;阿娘&q ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.036 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
